Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.util.apache.cocoon.xml
Class AbstractSynchronizedXMLProducer

    java.lang.Object
      fr.gouv.culture.util.apache.avalon.excalibur.concurrent.Semaphore
          fr.gouv.culture.util.apache.avalon.excalibur.concurrent.Mutex
              fr.gouv.culture.util.apache.cocoon.xml.AbstractSynchronizedXMLProducer

All Implemented Interfaces:
  EDU.oswego.cs.dl.util.concurrent.Sync, SynchronizedXMLProducer, org.apache.avalon.excalibur.pool.Poolable, org.apache.avalon.excalibur.pool.Recyclable, org.apache.cocoon.xml.XMLProducer

Direct Known Subclasses:
  AbstractSynchronizedXMLPipe

    public abstract class AbstractSynchronizedXMLProducer

extends Mutex
implements SynchronizedXMLProducer, org.apache.avalon.excalibur.pool.Recyclable

Field Summary
`protected SynchronizedXMLConsumer` | `synchronizedXmlConsumer` The `XMLConsumer` receiving SAX events.

Fields inherited from interface EDU.oswego.cs.dl.util.concurrent.Sync
`ONE_CENTURY, ONE_DAY, ONE_HOUR, ONE_MINUTE, ONE_SECOND, ONE_WEEK, ONE_YEAR`

Constructor Summary
`AbstractSynchronizedXMLProducer()`

Method Summary
`void` | `recycle()` Recycle the producer by removing references
`void` | `setConsumer(SynchronizedXMLConsumer consumer)` Set the `XMLConsumer` that will receive XML data.
`void` | `setConsumer(org.apache.cocoon.xml.XMLConsumer consumer)` Set the `XMLConsumer` that will receive XML data.

Methods inherited from class fr.gouv.culture.util.apache.avalon.excalibur.concurrent.Mutex
`acquired, isAcquired`

Methods inherited from class fr.gouv.culture.util.apache.avalon.excalibur.concurrent.Semaphore
`acquire, attempt, getTokens, release`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface fr.gouv.culture.util.apache.cocoon.xml.SynchronizedXMLProducer
`acquired`

Methods inherited from interface EDU.oswego.cs.dl.util.concurrent.Sync
`acquire, attempt, release`

Field Detail

### synchronizedXmlConsumer

    protected SynchronizedXMLConsumer synchronizedXmlConsumer

  The `XMLConsumer` receiving SAX events.

Constructor Detail

### AbstractSynchronizedXMLProducer

    public AbstractSynchronizedXMLProducer()

Method Detail

### setConsumer

    public void setConsumer(SynchronizedXMLConsumer consumer)

  Set the `XMLConsumer` that will receive XML data.

  Specified by:
    `setConsumer` in interface `SynchronizedXMLProducer`

### setConsumer

    public void setConsumer(org.apache.cocoon.xml.XMLConsumer consumer)

  Set the `XMLConsumer` that will receive XML data. Note we will attempt to synchronize this internally. Do not use this method if peforming synchronization externally on the provided consumer as this will cause deadlock since we synchronize internally. To be safe use @see setConsumer(SynchronizedXMLConsumer consumer).

  Specified by:
    `setConsumer` in interface `org.apache.cocoon.xml.XMLProducer`

### recycle

    public void recycle()

  Recycle the producer by removing references

  Specified by:
    `recycle` in interface `org.apache.avalon.excalibur.pool.Recyclable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.